> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/es/implement-nfc-wallet/manage-digital-cards/manage-digital-card-lcm.md).

# Gestionar el ciclo de vida de la tarjeta digital

## Descripción general

Utilice el SDK de NFC Wallet en su aplicación de billetera digital para gestionar el ciclo de vida de una tarjeta digital (LCM).

Caso de uso principal:

* Eliminar una tarjeta digital de la aplicación de billetera digital

{% hint style="info" %}
En esta sección, describimos las acciones de LCM iniciadas desde la aplicación de billetera digital. El backend del emisor también puede iniciar el LCM de la tarjeta digital directamente con el TSP.
{% endhint %}

## Integración del SDK

Usar `DigitalCardManager.manage` para realizar **LCM** acciones en una tarjeta digital.

Acciones admitidas:

* `.delete`
* `.suspend`
* `.resume`

{% hint style="info" %}
Los cambios en el **backend de NFC Wallet** no aparecen inmediatamente en el **aplicación de billetera digital**.

Envíe una notificación push para sincronizar el estado de la tarjeta digital. Consulte [Gestionar notificaciones push](/nfc-wallet-sdk-ios/es/get-started/configuration/4.-push-notifications/handle-push-notifications.md).
{% endhint %}

### Eliminar una tarjeta

Eliminar una tarjeta la quita permanentemente de la aplicación de billetera digital.

{% code title="Eliminar tarjeta" %}

```swift
func deleteCard(card: DigitalCard) async {
  do {
      _ = try await DigitalCardManager().manage(digitalCardID: card.digitalCardID, action: .delete)
  } catch {
    // gestión de errores
  }
}
```

{% endcode %}

### Suspender una tarjeta

Una tarjeta suspendida no puede usarse para realizar pagos.

{% code title="Suspender tarjeta" %}

```swift
func suspendCard(card: DigitalCard) async {
    do {
        _ = try await DigitalCardManager().manage(digitalCardID: card.digitalCardID, action: .suspend)
    } catch {
        // gestión de errores
    }
}
```

{% endcode %}

### Reanudar una tarjeta

Reanudar una tarjeta suspendida cambia su estado a activo. Luego puede usarse para realizar pagos.

{% code title="Reanudar tarjeta" %}

```swift
func resumeCard(card: DigitalCard) async {
  do {
      _ = try await DigitalCardManager().manage(digitalCardID: card.digitalCardID, action: .resume)
  } catch {
      // gestión de errores
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/es/implement-nfc-wallet/manage-digital-cards/manage-digital-card-lcm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
